com.sun.grid.jgdi.monitoring

## Interface QueueInfo

- All Known Implementing Classes:
    QueueInfoImpl

      public interface QueueInfo

  Holds the information about a queue for qhost

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getQname()` Get the qname
    `java.lang.String` | `getQtype()` Get the qtype string
    `int` | `getReservedSlots()` Get the number of reserved queue slots
    `java.lang.String` | `getState()` Get the state of the queue
    `int` | `getTotalSlots()` Get the number of total queue slots
    `int` | `getUsedSlots()` Get the number of used queue slots

- - ### Method Detail

    - #### getQname

          java.lang.String getQname()

      Get the qname
      Returns:
        qname

    - #### getQtype

          java.lang.String getQtype()

      Get the qtype string
      Returns:
        qtype

    - #### getState

          java.lang.String getState()

      Get the state of the queue
      Returns:
        state of the queue

    - #### getTotalSlots

          int getTotalSlots()

      Get the number of total queue slots
      Returns:
        number of total queue slots

    - #### getUsedSlots

          int getUsedSlots()

      Get the number of used queue slots
      Returns:
        number of used queue slots

    - #### getReservedSlots

          int getReservedSlots()

      Get the number of reserved queue slots
      Returns:
        number of reserved queue slots

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.